pro min_example
; Find the minimum and maximum value of an array
n = 5000
array = abs(0.5*n^2-findgen(n,n))

; Calculate using loops and if statement
tstart = systime(/seconds)
minval = 1e32
maxval = 1e-32
for i = 0L,n-1 do begin
  for j = 0L,n-1 do begin
    if array[i,j] lt minval then begin
		minval = array[i,j]
    endif
	if array[i,j] gt maxval then begin
		maxval = array[i,j]

	endif
  endfor
endfor
print,minval,maxval
t_elapsed_loop = systime(/seconds)-tstart
print,'Elapsed time (LOOP):',t_elapsed_loop

; Calculate using min
tstart = systime(/seconds)
array_min = min(array,max = array_max)
print,array_min,array_max
t_elapsed_min = systime(/seconds) - tstart
print,'Elapsed time (MIN): ',t_elapsed_min

print,t_elapsed_loop/t_elapsed_min
end