pro plot_example_1

x = makepts(xlo = 0.0,xhi = 1.0,npts = 100)
plot,x,beselj(10.0*x,0),psym = 0,thick = 2.0,         $
   xtitle = 'x',ytitle = 'j!dn!n(10x); n=0,1,2,3',    $
   title = 'Cylindrical Bessel Functions',  $
   yrange = [-0.5,2.0],/ystyle
; Overplot some other data
oplot,x,beselj(10.0*x,1),linestyle = 1,thick = 2.0
oplot,x,beselj(10.0*x,2),linestyle = 2,thick = 2.0
oplot,x,beselj(10.0*x,3),linestyle = 3,thick = 2.0

pos = [0.5,0.5,0.9,0.9]
;r = randomn(s,100)
plot,x,beselj(10.0*x,0),psym = 0,/noerase,position = pos, $
   xrange = [0.5,0.75],/xstyle,thick = 4.0,  $
   xtitle = 'x',ytitle = 'j!d0!n(10x)'
save_as_jpeg,'plot_example_4'
end