pro plot_example_3

x = makepts(xlo = 0.0,xhi = 3.0*!pi,npts = 100)
; Define the circle in normalized coordinates
ntheta = 20
theta = makepts(xlo = 0.0,xhi = 2.0*!pi,npts = ntheta)
xc = cos(theta) & yc = sin(theta)
usersym,xc,yc,/fill
plot,x,sin(x),psym = 8,                            $
   xtitle = 'x',ytitle = 'y(x)',                   $
   title = 'Sinusoid with filled circle symbol'

;save_as_jpeg,'plot_example_6'
end